Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl
Summary: Show damaged and lost statuses for issues on circulation.pl as they are on mo...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:52 UTC by Kyle M Hall
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (3.68 KB, patch)
2012-12-05 18:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (5.03 KB, patch)
2013-02-11 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (5.02 KB, patch)
2013-02-11 19:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (5.18 KB, patch)
2013-03-14 12:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (4.96 KB, patch)
2013-04-23 15:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl (5.26 KB, patch)
2013-04-24 05:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-12-05 18:52:47 UTC
The list of issued items on moremember.pl display the lost or damaged status of an item along side the due date, but is otherwise pretty much identical to the one on circulation.pl.

For the sake of consistency we should have those statuses show on circulation.pl as well.
Comment 1 Kyle M Hall 2012-12-05 18:57:47 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-02-07 17:09:55 UTC
This seems to be working well but misses one part of the display: If you have a patron who is a guarantor or a guarantee the page will have a "relative's checkouts" tab which needs the same update.
Comment 3 Kyle M Hall 2013-02-11 19:14:30 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-02-11 19:15:40 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2013-03-14 12:24:44 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2013-04-03 12:30:39 UTC
This sounds like a consistency (or lack thereof) bug to me.
Comment 7 Jonathan Druart 2013-04-23 10:40:57 UTC
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
Comment 8 Kyle M Hall 2013-04-23 15:46:09 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2013-04-24 05:28:37 UTC
Created attachment 17641 [details] [review]
[PASSED QA] Bug 9219 - Show damaged and lost statuses for issues on circulation.pl as they are on moremember.pl

This patch adds the lost and damaged status for an issued item to the
table of issued items on circulation.pl to make it align more closely to
the same table on moremember.pl

Test Plan:
1) Apply patch
2) Issue an item
3) Set the item's damaged status
4) Verify the status is showing near the date due on circulation.pl
5) Clear the damaged status and set the lost status again
6) Repeat step 4

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

http://bugs.koha-community.org/show_bug.cgi?id=6739
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I could only test this with the DAMAGED value, because
currently lost items are removed from the patron account
when you set the status.
I know there is a patch somewhere
to make it optional and the change looks alright.
Passes all tests and QA script.
Comment 10 Jared Camins-Esakov 2013-04-26 12:19:23 UTC
This patch has been pushed to master and 3.12.x.